From jik@cam.ov.com Thu Dec 12 16:49:38 EST 1996
Article: 27710 of news.software.nntp
Path: news.math.psu.edu!news3.cac.psu.edu!howland.erols.net!news.mathworks.com!bloom-beacon.mit.edu!pad-thai.cam.ov.com!not-for-mail
From: jik@cam.ov.com (Jonathan I. Kamens)
Newsgroups: news.software.nntp
Subject: INN 1.5 inews: don't print "article would be mailed" incorrectly
Date: 12 Dec 1996 20:32:00 GMT
Organization: OpenVision Technologies, Inc.
Lines: 40
Message-ID: <58pq40$q1c$1@pad-thai.cam.ov.com>
NNTP-Posting-Host: gza-client1.cam.ov.com
X-newsreader: xrn 8.03-beta-14
To: inn-bugs@isc.org
Cc: jik
Xref: news.math.psu.edu news.software.nntp:27710

(Posted and mailed as shown in the header.)

INN 1.5's inews frontend shouldn't print the "article would be mailed"
message in "Dump" mode if the article has been approved, since in fact
it would *not* be mailed -- it would be posted to the server, if it
were being posted rather than dumped.

Here's a patch:

--- inews.c	1996/12/12 16:36:59	1.1.1.1
+++ inews.c	1996/12/12 20:27:22
@@ -990,15 +990,16 @@
 	case NF_FLAG_OK:
 	    break;
 	case NF_FLAG_MODERATED:
-	    if (Dump)
-		(void)fprintf(stderr,
-			"%s is moderated -- article would be mailed\n",
-			group);
-	    else if (!approved) {
-		mailed = MailArticle(group, article);
-		DISPOSE(DDend(h));
-		QuitServer(mailed ? 0 : 1);
-	    }
+	    if (!approved)
+		if (Dump)
+		    (void)fprintf(stderr,
+				"%s is moderated -- article would be mailed\n",
+				  group);
+		else {
+		    mailed = MailArticle(group, article);
+		    DISPOSE(DDend(h));
+		    QuitServer(mailed ? 0 : 1);
+		}
 	    break;
 	case NF_FLAG_IGNORE:
 	case NF_FLAG_NOLOCAL:

-- 
Jonathan Kamens  |  OpenVision Technologies, Inc.  |   jik@cam.ov.com


